package org.ow2.orchestra.reporting.server;

import org.eclipse.birt.chart.computation.DataPointHints;
import org.eclipse.birt.chart.computation.LegendEntryRenderingHints;
import org.eclipse.birt.chart.model.attribute.Bounds;
import org.eclipse.birt.chart.model.attribute.Fill;
import org.eclipse.birt.chart.model.attribute.impl.ColorDefinitionImpl;
import org.eclipse.birt.chart.script.ChartEventHandlerAdapter;
import org.eclipse.birt.chart.script.IChartScriptContext;

public class ChartEventHandler extends ChartEventHandlerAdapter {

  public ChartEventHandler() {

  }

  public void beforeDrawDataPoint(DataPointHints dph, Fill fill, IChartScriptContext icsc) {
    super.beforeDrawDataPoint(dph, fill, icsc);
    if (dph.getBaseValue().equals("Active")) {
      ((ColorDefinitionImpl) fill).set(154, 204, 0);
    } else if (dph.getBaseValue().equals("Retired")) {
      ((ColorDefinitionImpl) fill).set(255, 255, 153);
    } else {
      ((ColorDefinitionImpl) fill).set(145, 145, 145);
    }
  }

  public void beforeDrawLegendItem(LegendEntryRenderingHints lerh, Bounds bounds, IChartScriptContext icsc) {
    super.beforeDrawLegendItem(lerh, bounds, icsc);
    ColorDefinitionImpl fill = (ColorDefinitionImpl) lerh.getFill();
    if (lerh.getLabel().getCaption().getValue().equals("Active")) {
      fill.set(154, 204, 0);
    } else if (lerh.getLabel().getCaption().getValue().equals("Retired")) {
      fill.set(255, 255, 153);
    } else {
      fill.set(145, 145, 145);
    }

  }
}





